RDMnet::LLRP::ProbeRequest::request_data Struct Reference

The request_data struct Table 5-2: Probe Request PDU. More...

`#include <llrp.h>`

Inheritance diagram for RDMnet::LLRP::ProbeRequest::request_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (ACN::PDU::Stream) override
| request_data::iStream More...
void | oStream (ACN::PDU::Stream) const override
| request_data::oStream More...

## Public Attributes

RDM::UID | lower
| UID of upper bound.
RDM::UID | upper
| UID of lower bound.
filter_t | filter
| device vilters
std::vector< RDM::UID > | known
| known UIDs

## Detailed Description

The request_data struct Table 5-2: Probe Request PDU.

## Member Function Documentation

## iStream()

void RDMnet::LLRP::ProbeRequest::request_data::iStream | ( | ACN::PDU::Stream | stream | ) |

overridevirtual

request_data::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## oStream()

void RDMnet::LLRP::ProbeRequest::request_data::oStream | ( | ACN::PDU::Stream | stream | ) | const

overridevirtual

request_data::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t RDMnet::LLRP::ProbeRequest::request_data::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/llrp/llrp.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/llrp/llrp.cpp